Name:          tlp
Version:       1.8.0
Release:       1mamba
Summary:       Command line advanced power management
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://linrunner.de/tlp/
Source:        https://github.com/linrunner/TLP.git/%{version}/TLP-%{version}.tar.bz2
License:       GPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
TLP brings you the benefits of advanced power management for Linux without the need to understand every technical detail. TLP comes with a default configuration already optimized for battery life, so you may just install and forget it. Nevertheless TLP is highly customizable to fulfil your specific requirements.

%prep
%setup -q -n TLP-%{version}

%build
%make \
   TLP_NO_INIT=1 \
   TLP_WITH_ELOGIND=0 \
   TLP_ULIB=%{_prefix}/lib/udev \
   TLP_SYSD=%{_unitdir} \
   TLP_SDSL=%{_systemd_util_dir}/system-sleep
   

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   TLP_NO_INIT=1 \
   TLP_WITH_ELOGIND=0 \
   TLP_ULIB=%{_prefix}/lib/udev \
   TLP_SYSD=%{_unitdir} \
   TLP_SDSL=%{_systemd_util_dir}/system-sleep

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
%systemd_preun tlp
:

%post
%systemd_post tlp
:

%postun
%systemd_postun tlp
:

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/tlp.conf
%dir %{_sysconfdir}/tlp.d
%config %{_sysconfdir}/tlp.d/00-template.conf
%{_sysconfdir}/tlp.d/README
%{_bindir}/nfc
%{_bindir}/bluetooth
%{_bindir}/run-on-ac
%{_bindir}/run-on-bat
%{_bindir}/tlp-stat
%{_bindir}/tlp-rdw
%{_bindir}/wifi
%{_bindir}/wwan
%{_sbindir}/tlp
%{_datadir}/metainfo/de.linrunner.tlp.metainfo.xml
%{_unitdir}/tlp.service
%{_systemd_util_dir}/system-sleep/tlp
%{_udevrulesdir}/*.rules
%{_prefix}/lib/udev/tlp-*
%{_prefix}/lib/NetworkManager/dispatcher.d/99tlp-rdw-nm
%{_datadir}/bash-completion/completions/*
%{_datadir}/zsh/site-functions/_tlp*
%{_datadir}/fish/vendor_completions.d/*.fish
%dir %{_datadir}/tlp
%{_datadir}/tlp/*
%doc AUTHORS COPYING LICENSE

%changelog
* Sun Feb 16 2025 Automatic Build System <autodist@openmamba.org> 1.8.0-1mamba
- automatic version update by autodist

* Mon Sep 30 2024 Automatic Build System <autodist@openmamba.org> 1.7.0-1mamba
- automatic version update by autodist

* Tue Sep 19 2023 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sat Aug 26 2023 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Jan 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0-1mamba
- update to 1.5.0

* Sat Feb 08 2020 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Fri Feb 07 2020 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Mon May 27 2019 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Mon Mar 25 2019 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Mon Feb 12 2018 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- automatic version update by autodist

* Sun Nov 27 2016 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.9-1mamba
- package created using the webbuild interface
